MPRECV(1)

NAME
mprecv - a daemon program to receive multicast udp packets

SYNOPSIS
mprecv [-dv] [-p port] [-D dumpfile] [-H history] [-i interface] [-L logfile] [-m mcastaddr] [-T loginterval] [-X expire]

DESCRIPTION
The mprecv program is designed for measure multicast routing stability in IPv6 network used with mpsend(8) program. The mprecv receives UDP packets sent to multicast address mcastaddr using interface.

The options are as follows:

-d  Specify the mprecv to run in daemon mode.

-p port
    Specify the UDP port number. Default value is 9998.

-D dumpfile
    Specify the name of dumpfile. By default /tmp/mprecv.dump is used.

-H history
    Specify the number of "packet lost" history kept for each logging interval.

-i interface
    Specify the name of interface for listening to multicast stream. If unicast address is specified with -m, or -m is omitted, the option has no effect.

-L logfile
    Specify the name of logfile. By default /var/log/mprecv.log is used.

-m mcastaddr
    Specify multicast adddress to listen to. If -m is not specified, mprecv will listen to wildcard IPv6 address (::).

-T loginterval
    Specify the interval of status dump to logfile in second. The default value is 3600 sec (1 hour).

-X expire
    Specify the expire time in day to delete idle session records. Default value is 7 days.

-v  Enable the debug output and prevent the mprecv go into daemon mode.

The mprecv program also writes status dump to dumpfile when it receives a SIGINFO signal. SIGWINCH signal reset the interval measuring variables.

SEE ALSO
mpsend(8)

HISTORY
The mprecv command first appeared in WIDE/KAME IPv6 protocol stack kit.

BUGS
IPv4 is not supported.